Bug 1566363 - PostgreSQL tuning has wrong syntax
Summary: PostgreSQL tuning has wrong syntax
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Tuning Guide
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: Unspecified
Assignee: Russell Dickenson
QA Contact: Melanie Corr
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 07:35 UTC by Evgeni Golov
Modified: 2019-09-26 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 22:06:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Evgeni Golov 2018-04-12 07:35:35 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/tuning_red_hat_satellite/tuning#postgresql_tuning_example

Section Number and Name: 
5.8.1. PostgreSQL tuning example

Describe the issue: 
The given example is not a valid PostgreSQL config.

* the key/value separator is =, not :
* there should be no space between a value and the unit (8MB, not 8 MB)
* while correct syntax, it is weird to have the first letter capitalized

Suggestions for improvement: 
max_connections = 500
shared_mem = 512MB
work_mem = 8MB
checkpoint_segments = 32
checkpoint_completion_target = 0.9

Additional information:


Note You need to log in before you can comment on or make changes to this bug.